dagwatchdog(1)

NAME
dagwatchdog - Endace DAG 3.7GF failsafe utility

SYNOPSIS
dagwatchdog [options]

DESCRIPTION
dagwatchdog tests the failsafe mechanism on a DAG 3.7GF by 'patting' the watchdog timer until the specified millisecond time interval has passed. It then measures how long it takes for the failsafe to trip and disconnect the DAG card.

A secondary mode of operation allows dagwatchdog to operate as a background watchdog patter so that regular DAG utilities (which aren't failsafe aware) can use the DAG 3.7GF. In this mode ( -p, --pat-only) dagwatchdog simply pats the watchdog to keep the DAG card active, and options other than the device are ignored.

Note that there is a DAG 3.7G variant that does not have failsafe relays (the DAG 3.7GP). dagwatchdog is only useful for the DAG 3.7G variant that is fitted with relays (the DAG 3.7GF).

OPTIONS

-d DEVICE

--device DEVICE
    Use the DAG device referred to by DEVICE. Supported syntax includes 0, dag1, and /dev/dag3 to refer to DAG cards, and 0:2, dag1:1, and /dev/dag2:0 to refer to specific streams on cards.

-h

-?

--help

--usage
    Display usage (help) information.

-n

--no-traffic
    Don't expect any traffic on the link. In standard operation dagwatchdog expects the link to have traffic, and will determine when the failsafe mechanism has activated by noting when traffic stops arriving in the receive stream. If there is no traffic on the link this scheme won't work, and passing the -n option will prevent dagwatchdog from getting confused.

-p

--pat-only
    Pat watchdog only.

-t NUM

--time NUM
    Stop patting the watchdog after NUM milliseconds (default is 10000, or 10 seconds).

-v

--verbose
    Increase output verbosity.

-V

--version
    Display version information.

SEE ALSO
dagthree(1).

BUGS
Report bugs to <support@endace.com>.

LAST UPDATED
$Author: koryn $
$Revision: 2366 $
$Date: 2005-10-18 15:32:32 +1300 (Tue, 18 Oct 2005) $

COPYRIGHT
(c) 2004-2005 Endace Technology, Hamilton, New Zealand. All Rights Reserved.